Module tdlight.api
Package it.tdlight.jni

# Class TdApi.QuickReplyMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.QuickReplyMessage

Enclosing class:
  TdApi

public static final class TdApi.QuickReplyMessage extends TdApi.Object
Describes a message that can be used for quick reply.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canBeEdited`
True, if the message can be edited.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.MessageContent`
`content`
Content of the message.
`long`
`id`
Unique message identifier among all quick replies.
`long`
`mediaAlbumId`
Unique identifier of an album this message belongs to.
`TdApi.ReplyMarkup`
`replyMarkup`
Inline keyboard reply markup for the message; may be null if none.
`long`
`replyToMessageId`
Information about the identifier of the quick reply message to which the message replies.
`TdApi.MessageSendingState`
`sendingState`
The sending state of the message; may be null if the message isn't being sent and didn't fail to be sent.
`long`
`viaBotUserId`
If non-zero, the user identifier of the bot through which this message was sent.

## Constructor Summary

Constructors
Constructor
Description
`QuickReplyMessage()`
Describes a message that can be used for quick reply.
`QuickReplyMessage(long id, TdApi.MessageSendingState sendingState, boolean canBeEdited, long replyToMessageId, long viaBotUserId, long mediaAlbumId, TdApi.MessageContent content, TdApi.ReplyMarkup replyMarkup)`
Describes a message that can be used for quick reply.
`QuickReplyMessage(DataInput input)`
Describes a message that can be used for quick reply.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique message identifier among all quick replies.

### sendingState

public TdApi.MessageSendingState sendingState
The sending state of the message; may be null if the message isn't being sent and didn't fail to be sent.

### canBeEdited

public boolean canBeEdited
True, if the message can be edited.

### replyToMessageId

public long replyToMessageId
Information about the identifier of the quick reply message to which the message replies.

### viaBotUserId

public long viaBotUserId
If non-zero, the user identifier of the bot through which this message was sent.

### mediaAlbumId

public long mediaAlbumId
Unique identifier of an album this message belongs to. Only audios, documents, photos and videos can be grouped together in albums.

### content

public TdApi.MessageContent content
Content of the message.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
Inline keyboard reply markup for the message; may be null if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### QuickReplyMessage

public QuickReplyMessage()
Describes a message that can be used for quick reply.

### QuickReplyMessage

public QuickReplyMessage(long id, TdApi.MessageSendingState sendingState, boolean canBeEdited, long replyToMessageId, long viaBotUserId, long mediaAlbumId, TdApi.MessageContent content, TdApi.ReplyMarkup replyMarkup)
Describes a message that can be used for quick reply.

Parameters:
  `id` - Unique message identifier among all quick replies.
  `sendingState` - The sending state of the message; may be null if the message isn't being sent and didn't fail to be sent.
  `canBeEdited` - True, if the message can be edited.
  `replyToMessageId` - Information about the identifier of the quick reply message to which the message replies.
  `viaBotUserId` - If non-zero, the user identifier of the bot through which this message was sent.
  `mediaAlbumId` - Unique identifier of an album this message belongs to. Only audios, documents, photos and videos can be grouped together in albums.
  `content` - Content of the message.
  `replyMarkup` - Inline keyboard reply markup for the message; may be null if none.

### QuickReplyMessage

public QuickReplyMessage(DataInput input) throws IOException
Describes a message that can be used for quick reply.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`